/* ============================================
  DENTABEAM THEME DOCS — CSS Variables & Reset
============================================ */

@font-face {
  font-family: 'Inter';
  src: url('../fonts/Inter.woff2') format('truetype');
}

:root {
  --db-primary:  #FF74E1;
  --db-secondary: #FB8FE3;
  --db-low: #FFF2FC;
  --db-high: #E93BC3;
  --db-light: #FFFFFF;
  --db-dark: #4E1040;
  --db-background: #FFFFFF;
  --db-primary-gradient: linear-gradient(to bottom,var(--wp--preset--color--db-light),var(--wp--preset--color--db-low));
  --db-secondary-gradient: linear-gradient(to top,var(--wp--preset--color--db-light),var(--wp--preset--color--db-low));
  --db-center-gradient: linear-gradient(to top,var(--wp--preset--color--db-low),var(--wp--preset--color--db-light),var(--wp--preset--color--db-low));
}

*, *::before, *::after { box-sizing: border-box; margin: 0; padding: 0; }
html { scroll-behavior: smooth; }

body {
  font-family: 'Inter', sans-serif;
  background: var(--db-low);
  color: var(--db-dark);
  font-size: clamp(0.875rem, 0.625rem + 0.5vw, 1rem);
  line-height: 1.75;
  min-height: 100vh;
}

html, body {
  overflow-x: hidden;
}


h1 { 
  font-size: clamp(1.75rem, 1.25rem + 1vw, 2rem);
  font-weight: 700;
  line-height: 1.7;
  color: var(--db-dark);
  margin-bottom: 14px;
}

h2 { 
  font-size: clamp(1.5rem, 1.25rem + 0.5vw, 1.625rem);
  font-weight: 600;
  line-height: 1.7;
  color: var(--db-dark);
  margin-bottom: 14px;
}

h3 { 
  font-size: clamp(1.25rem, 1rem + 0.5vw, 1.375rem);
  font-weight: 500;
  line-height: 1.7;
  color: var(--db-dark);
  margin-bottom: 14px;
}

h4 { 
  font-size: clamp(1.0625rem, 0.9375rem + 0.25vw, 1.125rem);
  font-weight: 400;
  line-height: 1.7;
  color: var(--db-dark);
  margin-bottom: 14px;
}

h5 { 
  font-size: clamp(0.875rem, 0.625rem + 0.5vw, 1rem);
  font-weight: 500;
  line-height: 1.7;
  color: var(--db-dark);
  margin-bottom: 14px;
}

h6 { 
  font-size: clamp(0.875rem, 0.75rem + 0.25vw, 0.9375rem);
  font-weight: 600;
  line-height: 1.7;
  color: var(--db-dark);
  margin-bottom: 14px;
}

p { 
  font-size: clamp(0.9375rem, 0.6875rem + 0.5vw, 1.0625rem);
  color: color-mix(in srgb, var(--db-dark), var(--db-light) 20%);
  margin-bottom: 18px; 
}